LogoThreatmatic

Change Password

POST
/change-password

Change the password of the user

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://console.threatmatic.ai/api/auth/change-password" \  -H "Content-Type: application/json" \  -d '{    "newPassword": "string",    "currentPassword": "string"  }'
{
  "token": "string",
  "user": {
    "id": "string",
    "email": "user@example.com",
    "name": "string",
    "image": "http://example.com",
    "emailVerified": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}